package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentContentEntryEdit2BindingImpl extends FragmentContentEntryEdit2Binding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = new androidx.databinding.ViewDataBinding.IncludedLayouts(27);
        sIncludes.setIncludes(1, 
            new String[] {"item_course_block_common_detail"},
            new int[] {25},
            new int[] {com.toughra.ustadmobile.R.layout.item_course_block_common_detail});
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.preview_barrier, 26);
    }
    // views
    @NonNull
    private final com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView mboundView18;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback106;
    @Nullable
    private final android.view.View.OnClickListener mCallback107;
    @Nullable
    private final android.view.View.OnClickListener mCallback105;
    // values
    private androidx.databinding.InverseBindingListener mOldEventBlock1377011020;
    private androidx.databinding.InverseBindingListener mOldEventStartDate723361325;
    private androidx.databinding.InverseBindingListener mOldEventStartTime1333444217;
    private androidx.databinding.InverseBindingListener mOldEventDeadlineDate650798707;
    private androidx.databinding.InverseBindingListener mOldEventDeadlineTime523172319;
    private androidx.databinding.InverseBindingListener mOldEventGracePeriodDate1042066077;
    private androidx.databinding.InverseBindingListener mOldEventGracePeriodTime1806089499;
    // listeners
    // Inverse Binding Event Handlers
    private androidx.databinding.InverseBindingListener contentEntryEditImageViewimageUriAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntryPicture.cepUri
            //         is contentEntryPicture.setCepUri((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.getRealImageFilePath(contentEntryEditImageView);
            // localize variables for thread safety
            // contentEntryPicture
            com.ustadmobile.lib.db.entities.ContentEntryPicture contentEntryPicture = mContentEntryPicture;
            // contentEntryPicture.cepUri
            java.lang.String contentEntryPictureCepUri = null;
            // contentEntryPicture != null
            boolean contentEntryPictureJavaLangObjectNull = false;



            contentEntryPictureJavaLangObjectNull = (contentEntryPicture) != (null);
            if (contentEntryPictureJavaLangObjectNull) {




                contentEntryPicture.setCepUri(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener entryAuthorTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntry.author
            //         is contentEntry.setAuthor((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(entryAuthorText);
            // localize variables for thread safety
            // contentEntry.author
            java.lang.String contentEntryAuthor = null;
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {




                contentEntry.setAuthor(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener entryContentCompressandroidCheckedAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of compressionEnabled
            //         is com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setCompressionEnabled(callbackArg_0)
            boolean callbackArg_0 = entryContentCompress.isChecked();
            // localize variables for thread safety
            // compressionEnabled
            boolean compressionEnabled = mCompressionEnabled;


            if ((com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this) != (null)) {



                com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setCompressionEnabled(callbackArg_0);
            }
        }
    };
    private androidx.databinding.InverseBindingListener entryContentPublicandroidCheckedAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntry.publik
            //         is contentEntry.setPublik((boolean) callbackArg_0)
            boolean callbackArg_0 = entryContentPublic.isChecked();
            // localize variables for thread safety
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry.publik
            boolean contentEntryPublik = false;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {




                contentEntry.setPublik(((boolean) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener entryDescriptionTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntry.description
            //         is contentEntry.setDescription((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(entryDescriptionText);
            // localize variables for thread safety
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry.description
            java.lang.String contentEntryDescription = null;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {




                contentEntry.setDescription(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.ViewDataBinding.PropertyChangedInverseListener entryEditCommonFieldsblock = new androidx.databinding.ViewDataBinding.PropertyChangedInverseListener(BR.block) {
        @Override
        public void onChange() {
            // Inverse of contentEntry.block
            //         is contentEntry.setBlock((com.ustadmobile.lib.db.entities.CourseBlock) callbackArg_0)
            com.ustadmobile.lib.db.entities.CourseBlock callbackArg_0 = entryEditCommonFields.getBlock();
            // localize variables for thread safety
            // contentEntry.block
            com.ustadmobile.lib.db.entities.CourseBlock contentEntryBlock = null;
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {




                contentEntry.setBlock(((com.ustadmobile.lib.db.entities.CourseBlock) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.ViewDataBinding.PropertyChangedInverseListener entryEditCommonFieldsstartDate = new androidx.databinding.ViewDataBinding.PropertyChangedInverseListener(BR.startDate) {
        @Override
        public void onChange() {
            // Inverse of startDate
            //         is com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setStartDate(callbackArg_0)
            long callbackArg_0 = entryEditCommonFields.getStartDate();
            // localize variables for thread safety
            // startDate
            long startDate = mStartDate;


            if ((com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this) != (null)) {



                com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setStartDate(callbackArg_0);
            }
        }
    };
    private androidx.databinding.ViewDataBinding.PropertyChangedInverseListener entryEditCommonFieldsstartTime = new androidx.databinding.ViewDataBinding.PropertyChangedInverseListener(BR.startTime) {
        @Override
        public void onChange() {
            // Inverse of startTime
            //         is com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setStartTime(callbackArg_0)
            long callbackArg_0 = entryEditCommonFields.getStartTime();
            // localize variables for thread safety
            // startTime
            long startTime = mStartTime;


            if ((com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this) != (null)) {



                com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setStartTime(callbackArg_0);
            }
        }
    };
    private androidx.databinding.ViewDataBinding.PropertyChangedInverseListener entryEditCommonFieldsdeadlineDate = new androidx.databinding.ViewDataBinding.PropertyChangedInverseListener(BR.deadlineDate) {
        @Override
        public void onChange() {
            // Inverse of deadlineDate
            //         is com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setDeadlineDate(callbackArg_0)
            long callbackArg_0 = entryEditCommonFields.getDeadlineDate();
            // localize variables for thread safety
            // deadlineDate
            long deadlineDate = mDeadlineDate;


            if ((com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this) != (null)) {



                com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setDeadlineDate(callbackArg_0);
            }
        }
    };
    private androidx.databinding.ViewDataBinding.PropertyChangedInverseListener entryEditCommonFieldsdeadlineTime = new androidx.databinding.ViewDataBinding.PropertyChangedInverseListener(BR.deadlineTime) {
        @Override
        public void onChange() {
            // Inverse of deadlineTime
            //         is com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setDeadlineTime(callbackArg_0)
            long callbackArg_0 = entryEditCommonFields.getDeadlineTime();
            // localize variables for thread safety
            // deadlineTime
            long deadlineTime = mDeadlineTime;


            if ((com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this) != (null)) {



                com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setDeadlineTime(callbackArg_0);
            }
        }
    };
    private androidx.databinding.ViewDataBinding.PropertyChangedInverseListener entryEditCommonFieldsgracePeriodDate = new androidx.databinding.ViewDataBinding.PropertyChangedInverseListener(BR.gracePeriodDate) {
        @Override
        public void onChange() {
            // Inverse of gracePeriodDate
            //         is com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setGracePeriodDate(callbackArg_0)
            long callbackArg_0 = entryEditCommonFields.getGracePeriodDate();
            // localize variables for thread safety
            // gracePeriodDate
            long gracePeriodDate = mGracePeriodDate;


            if ((com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this) != (null)) {



                com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setGracePeriodDate(callbackArg_0);
            }
        }
    };
    private androidx.databinding.ViewDataBinding.PropertyChangedInverseListener entryEditCommonFieldsgracePeriodTime = new androidx.databinding.ViewDataBinding.PropertyChangedInverseListener(BR.gracePeriodTime) {
        @Override
        public void onChange() {
            // Inverse of gracePeriodTime
            //         is com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setGracePeriodTime(callbackArg_0)
            long callbackArg_0 = entryEditCommonFields.getGracePeriodTime();
            // localize variables for thread safety
            // gracePeriodTime
            long gracePeriodTime = mGracePeriodTime;


            if ((com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this) != (null)) {



                com.toughra.ustadmobile.databinding.FragmentContentEntryEdit2BindingImpl.this.setGracePeriodTime(callbackArg_0);
            }
        }
    };
    private androidx.databinding.InverseBindingListener entryLanguageTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntry.language.name
            //         is contentEntry.language.setName((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(entryLanguageText);
            // localize variables for thread safety
            // contentEntry.language
            com.ustadmobile.lib.db.entities.Language contentEntryLanguage = null;
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry.language.name
            java.lang.String contentEntryLanguageName = null;
            // contentEntry.language != null
            boolean contentEntryLanguageJavaLangObjectNull = false;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {


                contentEntryLanguage = contentEntry.getLanguage();

                contentEntryLanguageJavaLangObjectNull = (contentEntryLanguage) != (null);
                if (contentEntryLanguageJavaLangObjectNull) {




                    contentEntryLanguage.setName(((java.lang.String) (callbackArg_0)));
                }
            }
        }
    };
    private androidx.databinding.InverseBindingListener entryPublisherTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntry.publisher
            //         is contentEntry.setPublisher((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(entryPublisherText);
            // localize variables for thread safety
            // contentEntry.publisher
            java.lang.String contentEntryPublisher = null;
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {




                contentEntry.setPublisher(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener entryTitleTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntry.title
            //         is contentEntry.setTitle((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(entryTitleText);
            // localize variables for thread safety
            // contentEntry.title
            java.lang.String contentEntryTitle = null;
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {




                contentEntry.setTitle(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener mboundView18selectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of contentEntry.licenseType
            //         is contentEntry.setLicenseType((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(mboundView18);
            // localize variables for thread safety
            // contentEntry != null
            boolean contentEntryJavaLangObjectNull = false;
            // contentEntry.licenseType
            int contentEntryLicenseType = 0;
            // contentEntry
            com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;



            contentEntryJavaLangObjectNull = (contentEntry) != (null);
            if (contentEntryJavaLangObjectNull) {




                contentEntry.setLicenseType(((int) (callbackArg_0)));
            }
        }
    };

    public FragmentContentEntryEdit2BindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 27, sIncludes, sViewsWithIds));
    }
    private FragmentContentEntryEdit2BindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 1
            , (com.google.android.material.textfield.TextInputLayout) bindings[19]
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[2]
            , (com.google.android.material.button.MaterialButton) bindings[4]
            , (com.google.android.material.textfield.TextInputLayout) bindings[13]
            , (com.google.android.material.textfield.TextInputEditText) bindings[14]
            , (com.google.android.material.switchmaterial.SwitchMaterial) bindings[21]
            , (com.google.android.material.switchmaterial.SwitchMaterial) bindings[22]
            , (com.google.android.material.textfield.TextInputLayout) bindings[11]
            , (com.google.android.material.textfield.TextInputEditText) bindings[12]
            , (com.toughra.ustadmobile.databinding.ItemCourseBlockCommonDetailBinding) bindings[25]
            , (com.google.android.exoplayer2.ui.PlayerView) bindings[7]
            , (android.webkit.WebView) bindings[8]
            , (com.google.android.material.textfield.TextInputLayout) bindings[23]
            , (com.google.android.material.textfield.TextInputEditText) bindings[24]
            , (com.google.android.material.textfield.TextInputLayout) bindings[17]
            , (com.google.android.material.textfield.TextInputLayout) bindings[15]
            , (com.google.android.material.textfield.TextInputEditText) bindings[16]
            , (com.google.android.material.textfield.TextInputLayout) bindings[9]
            , (com.google.android.material.textfield.TextInputEditText) bindings[10]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[1]
            , (androidx.core.widget.NestedScrollView) bindings[0]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[3]
            , (androidx.constraintlayout.widget.Barrier) bindings[26]
            , (android.widget.TextView) bindings[5]
            , (com.ustadmobile.port.android.view.StorageOptionsAutocompleteTextView) bindings[20]
            , (android.widget.TextView) bindings[6]
            );
        this.containerStorageOption.setTag(null);
        this.contentEntryEditImageView.setTag(null);
        this.contentEntrySelectFile.setTag(null);
        this.entryAuthor.setTag(null);
        this.entryAuthorText.setTag(null);
        this.entryContentCompress.setTag(null);
        this.entryContentPublic.setTag(null);
        this.entryDescription.setTag(null);
        this.entryDescriptionText.setTag(null);
        setContainedBinding(this.entryEditCommonFields);
        this.entryEditVideoPreview.setTag(null);
        this.entryEditWebPreview.setTag(null);
        this.entryLanguage.setTag(null);
        this.entryLanguageText.setTag(null);
        this.entryLicence.setTag(null);
        this.entryPublisher.setTag(null);
        this.entryPublisherText.setTag(null);
        this.entryTitle.setTag(null);
        this.entryTitleText.setTag(null);
        this.fragmentContentEntryEdit2EditClx.setTag(null);
        this.fragmentContentEntryEdit2EditScroll.setTag(null);
        this.itemPresenterFieldRowPicturePhotoicon.setTag(null);
        this.mboundView18 = (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[18];
        this.mboundView18.setTag(null);
        this.selectedFileInfo.setTag(null);
        this.storageOption.setTag(null);
        this.supportedFileList.setTag(null);
        setRootTag(root);
        // listeners
        mCallback106 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback107 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 3);
        mCallback105 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x800000000L;
        }
        entryEditCommonFields.invalidateAll();
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        if (entryEditCommonFields.hasPendingBindings()) {
            return true;
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.deadlineDate == variableId) {
            setDeadlineDate((long) variable);
        }
        else if (BR.metadataResult == variableId) {
            setMetadataResult((com.ustadmobile.core.contentjob.MetadataResult) variable);
        }
        else if (BR.showWebPreview == variableId) {
            setShowWebPreview((boolean) variable);
        }
        else if (BR.gracePeriodDate == variableId) {
            setGracePeriodDate((long) variable);
        }
        else if (BR.caStartDateError == variableId) {
            setCaStartDateError((java.lang.String) variable);
        }
        else if (BR.imageViewLifecycleObserver == variableId) {
            setImageViewLifecycleObserver((com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2) variable);
        }
        else if (BR.gracePeriodVisibility == variableId) {
            setGracePeriodVisibility((int) variable);
        }
        else if (BR.caMaxPointsError == variableId) {
            setCaMaxPointsError((java.lang.String) variable);
        }
        else if (BR.titleErrorEnabled == variableId) {
            setTitleErrorEnabled((boolean) variable);
        }
        else if (BR.gracePeriodTime == variableId) {
            setGracePeriodTime((long) variable);
        }
        else if (BR.compressionEnabled == variableId) {
            setCompressionEnabled((boolean) variable);
        }
        else if (BR.completionCriteriaOptions == variableId) {
            setCompletionCriteriaOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.startTime == variableId) {
            setStartTime((long) variable);
        }
        else if (BR.videoPreviewVisibility == variableId) {
            setVideoPreviewVisibility((java.lang.Integer) variable);
        }
        else if (BR.contentEntry == variableId) {
            setContentEntry((com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage) variable);
        }
        else if (BR.showUpdateContentButton == variableId) {
            setShowUpdateContentButton((boolean) variable);
        }
        else if (BR.deadlineTime == variableId) {
            setDeadlineTime((long) variable);
        }
        else if (BR.storageOptions == variableId) {
            setStorageOptions((java.util.List<com.ustadmobile.core.impl.ContainerStorageDir>) variable);
        }
        else if (BR.loading == variableId) {
            setLoading((boolean) variable);
        }
        else if (BR.minScoreVisible == variableId) {
            setMinScoreVisible((boolean) variable);
        }
        else if (BR.caGracePeriodError == variableId) {
            setCaGracePeriodError((java.lang.String) variable);
        }
        else if (BR.activityEventHandler == variableId) {
            setActivityEventHandler((com.ustadmobile.port.android.view.ContentEntryEdit2FragmentEventHandler) variable);
        }
        else if (BR.contentEntryPictureUri == variableId) {
            setContentEntryPictureUri((java.lang.String) variable);
        }
        else if (BR.fieldsEnabled == variableId) {
            setFieldsEnabled((boolean) variable);
        }
        else if (BR.timeZone == variableId) {
            setTimeZone((java.lang.String) variable);
        }
        else if (BR.showVideoPreview == variableId) {
            setShowVideoPreview((boolean) variable);
        }
        else if (BR.completionCriteriaListener == variableId) {
            setCompletionCriteriaListener((com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.selectedStorageIndex == variableId) {
            setSelectedStorageIndex((java.lang.Integer) variable);
        }
        else if (BR.startDate == variableId) {
            setStartDate((long) variable);
        }
        else if (BR.contentEntryPicture == variableId) {
            setContentEntryPicture((com.ustadmobile.lib.db.entities.ContentEntryPicture) variable);
        }
        else if (BR.licenceOptions == variableId) {
            setLicenceOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.caDeadlineError == variableId) {
            setCaDeadlineError((java.lang.String) variable);
        }
        else if (BR.importErrorColor == variableId) {
            setImportErrorColor((java.lang.Integer) variable);
        }
        else if (BR.isImportError == variableId) {
            setIsImportError((boolean) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setDeadlineDate(long DeadlineDate) {
        this.mDeadlineDate = DeadlineDate;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.deadlineDate);
        super.requestRebind();
    }
    public void setMetadataResult(@Nullable com.ustadmobile.core.contentjob.MetadataResult MetadataResult) {
        this.mMetadataResult = MetadataResult;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.metadataResult);
        super.requestRebind();
    }
    public void setShowWebPreview(boolean ShowWebPreview) {
        this.mShowWebPreview = ShowWebPreview;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.showWebPreview);
        super.requestRebind();
    }
    public void setGracePeriodDate(long GracePeriodDate) {
        this.mGracePeriodDate = GracePeriodDate;
        synchronized(this) {
            mDirtyFlags |= 0x10L;
        }
        notifyPropertyChanged(BR.gracePeriodDate);
        super.requestRebind();
    }
    public void setCaStartDateError(@Nullable java.lang.String CaStartDateError) {
        this.mCaStartDateError = CaStartDateError;
        synchronized(this) {
            mDirtyFlags |= 0x20L;
        }
        notifyPropertyChanged(BR.caStartDateError);
        super.requestRebind();
    }
    public void setImageViewLifecycleObserver(@Nullable com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2 ImageViewLifecycleObserver) {
        this.mImageViewLifecycleObserver = ImageViewLifecycleObserver;
        synchronized(this) {
            mDirtyFlags |= 0x40L;
        }
        notifyPropertyChanged(BR.imageViewLifecycleObserver);
        super.requestRebind();
    }
    public void setGracePeriodVisibility(int GracePeriodVisibility) {
        this.mGracePeriodVisibility = GracePeriodVisibility;
        synchronized(this) {
            mDirtyFlags |= 0x80L;
        }
        notifyPropertyChanged(BR.gracePeriodVisibility);
        super.requestRebind();
    }
    public void setCaMaxPointsError(@Nullable java.lang.String CaMaxPointsError) {
        this.mCaMaxPointsError = CaMaxPointsError;
        synchronized(this) {
            mDirtyFlags |= 0x100L;
        }
        notifyPropertyChanged(BR.caMaxPointsError);
        super.requestRebind();
    }
    public void setTitleErrorEnabled(boolean TitleErrorEnabled) {
        this.mTitleErrorEnabled = TitleErrorEnabled;
        synchronized(this) {
            mDirtyFlags |= 0x200L;
        }
        notifyPropertyChanged(BR.titleErrorEnabled);
        super.requestRebind();
    }
    public void setGracePeriodTime(long GracePeriodTime) {
        this.mGracePeriodTime = GracePeriodTime;
        synchronized(this) {
            mDirtyFlags |= 0x400L;
        }
        notifyPropertyChanged(BR.gracePeriodTime);
        super.requestRebind();
    }
    public void setCompressionEnabled(boolean CompressionEnabled) {
        this.mCompressionEnabled = CompressionEnabled;
        synchronized(this) {
            mDirtyFlags |= 0x800L;
        }
        notifyPropertyChanged(BR.compressionEnabled);
        super.requestRebind();
    }
    public void setCompletionCriteriaOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> CompletionCriteriaOptions) {
        this.mCompletionCriteriaOptions = CompletionCriteriaOptions;
        synchronized(this) {
            mDirtyFlags |= 0x1000L;
        }
        notifyPropertyChanged(BR.completionCriteriaOptions);
        super.requestRebind();
    }
    public void setStartTime(long StartTime) {
        this.mStartTime = StartTime;
        synchronized(this) {
            mDirtyFlags |= 0x2000L;
        }
        notifyPropertyChanged(BR.startTime);
        super.requestRebind();
    }
    public void setVideoPreviewVisibility(@Nullable java.lang.Integer VideoPreviewVisibility) {
        this.mVideoPreviewVisibility = VideoPreviewVisibility;
    }
    public void setContentEntry(@Nullable com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage ContentEntry) {
        this.mContentEntry = ContentEntry;
        synchronized(this) {
            mDirtyFlags |= 0x8000L;
        }
        notifyPropertyChanged(BR.contentEntry);
        super.requestRebind();
    }
    public void setShowUpdateContentButton(boolean ShowUpdateContentButton) {
        this.mShowUpdateContentButton = ShowUpdateContentButton;
        synchronized(this) {
            mDirtyFlags |= 0x10000L;
        }
        notifyPropertyChanged(BR.showUpdateContentButton);
        super.requestRebind();
    }
    public void setDeadlineTime(long DeadlineTime) {
        this.mDeadlineTime = DeadlineTime;
        synchronized(this) {
            mDirtyFlags |= 0x20000L;
        }
        notifyPropertyChanged(BR.deadlineTime);
        super.requestRebind();
    }
    public void setStorageOptions(@Nullable java.util.List<com.ustadmobile.core.impl.ContainerStorageDir> StorageOptions) {
        this.mStorageOptions = StorageOptions;
        synchronized(this) {
            mDirtyFlags |= 0x40000L;
        }
        notifyPropertyChanged(BR.storageOptions);
        super.requestRebind();
    }
    public void setLoading(boolean Loading) {
        this.mLoading = Loading;
    }
    public void setMinScoreVisible(boolean MinScoreVisible) {
        this.mMinScoreVisible = MinScoreVisible;
        synchronized(this) {
            mDirtyFlags |= 0x100000L;
        }
        notifyPropertyChanged(BR.minScoreVisible);
        super.requestRebind();
    }
    public void setCaGracePeriodError(@Nullable java.lang.String CaGracePeriodError) {
        this.mCaGracePeriodError = CaGracePeriodError;
        synchronized(this) {
            mDirtyFlags |= 0x200000L;
        }
        notifyPropertyChanged(BR.caGracePeriodError);
        super.requestRebind();
    }
    public void setActivityEventHandler(@Nullable com.ustadmobile.port.android.view.ContentEntryEdit2FragmentEventHandler ActivityEventHandler) {
        this.mActivityEventHandler = ActivityEventHandler;
        synchronized(this) {
            mDirtyFlags |= 0x400000L;
        }
        notifyPropertyChanged(BR.activityEventHandler);
        super.requestRebind();
    }
    public void setContentEntryPictureUri(@Nullable java.lang.String ContentEntryPictureUri) {
        this.mContentEntryPictureUri = ContentEntryPictureUri;
    }
    public void setFieldsEnabled(boolean FieldsEnabled) {
        this.mFieldsEnabled = FieldsEnabled;
        synchronized(this) {
            mDirtyFlags |= 0x1000000L;
        }
        notifyPropertyChanged(BR.fieldsEnabled);
        super.requestRebind();
    }
    public void setTimeZone(@Nullable java.lang.String TimeZone) {
        this.mTimeZone = TimeZone;
        synchronized(this) {
            mDirtyFlags |= 0x2000000L;
        }
        notifyPropertyChanged(BR.timeZone);
        super.requestRebind();
    }
    public void setShowVideoPreview(boolean ShowVideoPreview) {
        this.mShowVideoPreview = ShowVideoPreview;
        synchronized(this) {
            mDirtyFlags |= 0x4000000L;
        }
        notifyPropertyChanged(BR.showVideoPreview);
        super.requestRebind();
    }
    public void setCompletionCriteriaListener(@Nullable com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> CompletionCriteriaListener) {
        this.mCompletionCriteriaListener = CompletionCriteriaListener;
        synchronized(this) {
            mDirtyFlags |= 0x8000000L;
        }
        notifyPropertyChanged(BR.completionCriteriaListener);
        super.requestRebind();
    }
    public void setSelectedStorageIndex(@Nullable java.lang.Integer SelectedStorageIndex) {
        this.mSelectedStorageIndex = SelectedStorageIndex;
        synchronized(this) {
            mDirtyFlags |= 0x10000000L;
        }
        notifyPropertyChanged(BR.selectedStorageIndex);
        super.requestRebind();
    }
    public void setStartDate(long StartDate) {
        this.mStartDate = StartDate;
        synchronized(this) {
            mDirtyFlags |= 0x20000000L;
        }
        notifyPropertyChanged(BR.startDate);
        super.requestRebind();
    }
    public void setContentEntryPicture(@Nullable com.ustadmobile.lib.db.entities.ContentEntryPicture ContentEntryPicture) {
        this.mContentEntryPicture = ContentEntryPicture;
        synchronized(this) {
            mDirtyFlags |= 0x40000000L;
        }
        notifyPropertyChanged(BR.contentEntryPicture);
        super.requestRebind();
    }
    public void setLicenceOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> LicenceOptions) {
        this.mLicenceOptions = LicenceOptions;
        synchronized(this) {
            mDirtyFlags |= 0x80000000L;
        }
        notifyPropertyChanged(BR.licenceOptions);
        super.requestRebind();
    }
    public void setCaDeadlineError(@Nullable java.lang.String CaDeadlineError) {
        this.mCaDeadlineError = CaDeadlineError;
        synchronized(this) {
            mDirtyFlags |= 0x100000000L;
        }
        notifyPropertyChanged(BR.caDeadlineError);
        super.requestRebind();
    }
    public void setImportErrorColor(@Nullable java.lang.Integer ImportErrorColor) {
        this.mImportErrorColor = ImportErrorColor;
        synchronized(this) {
            mDirtyFlags |= 0x200000000L;
        }
        notifyPropertyChanged(BR.importErrorColor);
        super.requestRebind();
    }
    public void setIsImportError(boolean IsImportError) {
        this.mIsImportError = IsImportError;
        synchronized(this) {
            mDirtyFlags |= 0x400000000L;
        }
        notifyPropertyChanged(BR.isImportError);
        super.requestRebind();
    }

    @Override
    public void setLifecycleOwner(@Nullable androidx.lifecycle.LifecycleOwner lifecycleOwner) {
        super.setLifecycleOwner(lifecycleOwner);
        entryEditCommonFields.setLifecycleOwner(lifecycleOwner);
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
            case 0 :
                return onChangeEntryEditCommonFields((com.toughra.ustadmobile.databinding.ItemCourseBlockCommonDetailBinding) object, fieldId);
        }
        return false;
    }
    private boolean onChangeEntryEditCommonFields(com.toughra.ustadmobile.databinding.ItemCourseBlockCommonDetailBinding EntryEditCommonFields, int fieldId) {
        if (fieldId == BR._all) {
            synchronized(this) {
                    mDirtyFlags |= 0x1L;
            }
            return true;
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        long deadlineDate = mDeadlineDate;
        com.ustadmobile.core.contentjob.MetadataResult metadataResult = mMetadataResult;
        boolean showWebPreview = mShowWebPreview;
        long gracePeriodDate = mGracePeriodDate;
        com.ustadmobile.lib.db.entities.Language contentEntryLanguage = null;
        java.lang.String caStartDateError = mCaStartDateError;
        int contentEntryLeafViewVISIBLEViewGONE = 0;
        com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2 imageViewLifecycleObserver = mImageViewLifecycleObserver;
        int gracePeriodVisibility = mGracePeriodVisibility;
        java.lang.String caMaxPointsError = mCaMaxPointsError;
        int showVideoPreviewViewVISIBLEViewGONE = 0;
        boolean titleErrorEnabled = mTitleErrorEnabled;
        int showWebPreviewViewVISIBLEViewGONE = 0;
        long gracePeriodTime = mGracePeriodTime;
        java.lang.String contentEntryDescription = null;
        boolean compressionEnabled = mCompressionEnabled;
        java.util.List<com.ustadmobile.core.util.IdOption> completionCriteriaOptions = mCompletionCriteriaOptions;
        long startTime = mStartTime;
        java.lang.String isImportErrorSelectedFileInfoAndroidStringFileRequiredPromptSelectedFileInfoAndroidStringFileSelected = null;
        java.lang.String contentEntryPictureCepUri = null;
        com.ustadmobile.lib.db.entities.ContentEntryWithBlockAndLanguage contentEntry = mContentEntry;
        java.lang.String contentEntryAuthor = null;
        boolean showUpdateContentButton = mShowUpdateContentButton;
        long deadlineTime = mDeadlineTime;
        java.lang.String contentEntryPublisher = null;
        boolean contentEntryPublik = false;
        java.util.List<com.ustadmobile.core.impl.ContainerStorageDir> storageOptions = mStorageOptions;
        boolean metadataResultJavaLangObjectNull = false;
        boolean minScoreVisible = mMinScoreVisible;
        com.ustadmobile.lib.db.entities.CourseBlock contentEntryBlock = null;
        int androidxDatabindingViewDataBindingSafeUnboxImportErrorColor = 0;
        java.lang.String caGracePeriodError = mCaGracePeriodError;
        int contentEntryBlockJavaLangObjectNullViewGONEViewVISIBLE = 0;
        com.ustadmobile.port.android.view.ContentEntryEdit2FragmentEventHandler activityEventHandler = mActivityEventHandler;
        boolean fieldsEnabled = mFieldsEnabled;
        java.lang.String timeZone = mTimeZone;
        int metadataResultJavaLangObjectNullViewVISIBLEViewGONE = 0;
        boolean showVideoPreview = mShowVideoPreview;
        com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> completionCriteriaListener = mCompletionCriteriaListener;
        java.lang.Integer selectedStorageIndex = mSelectedStorageIndex;
        int contentEntryLicenseType = 0;
        long startDate = mStartDate;
        boolean contentEntryBlockJavaLangObjectNull = false;
        boolean contentEntryLeaf = false;
        com.ustadmobile.lib.db.entities.ContentEntryPicture contentEntryPicture = mContentEntryPicture;
        java.lang.String contentEntryLanguageName = null;
        java.util.List<com.ustadmobile.core.util.IdOption> licenceOptions = mLicenceOptions;
        java.lang.String contentEntryTitle = null;
        java.lang.String caDeadlineError = mCaDeadlineError;
        java.lang.Integer importErrorColor = mImportErrorColor;
        boolean isImportError = mIsImportError;
        int showUpdateContentButtonViewVISIBLEViewGONE = 0;

        if ((dirtyFlags & 0x800000002L) != 0) {
        }
        if ((dirtyFlags & 0x800000004L) != 0) {



                // read metadataResult != null
                metadataResultJavaLangObjectNull = (metadataResult) != (null);
            if((dirtyFlags & 0x800000004L) != 0) {
                if(metadataResultJavaLangObjectNull) {
                        dirtyFlags |= 0x800000000000L;
                }
                else {
                        dirtyFlags |= 0x400000000000L;
                }
            }


                // read metadataResult != null ? View.VISIBLE : View.GONE
                metadataResultJavaLangObjectNullViewVISIBLEViewGONE = ((metadataResultJavaLangObjectNull) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x800000008L) != 0) {

            if((dirtyFlags & 0x800000008L) != 0) {
                if(showWebPreview) {
                        dirtyFlags |= 0x20000000000L;
                }
                else {
                        dirtyFlags |= 0x10000000000L;
                }
            }


                // read showWebPreview ? View.VISIBLE : View.GONE
                showWebPreviewViewVISIBLEViewGONE = ((showWebPreview) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x800000010L) != 0) {
        }
        if ((dirtyFlags & 0x800000020L) != 0) {
        }
        if ((dirtyFlags & 0x800000040L) != 0) {
        }
        if ((dirtyFlags & 0x800000080L) != 0) {
        }
        if ((dirtyFlags & 0x800000100L) != 0) {
        }
        if ((dirtyFlags & 0x800000200L) != 0) {
        }
        if ((dirtyFlags & 0x800000400L) != 0) {
        }
        if ((dirtyFlags & 0x800000800L) != 0) {
        }
        if ((dirtyFlags & 0x800001000L) != 0) {
        }
        if ((dirtyFlags & 0x800002000L) != 0) {
        }
        if ((dirtyFlags & 0x880008000L) != 0) {


            if ((dirtyFlags & 0x800008000L) != 0) {

                    if (contentEntry != null) {
                        // read contentEntry.language
                        contentEntryLanguage = contentEntry.getLanguage();
                        // read contentEntry.description
                        contentEntryDescription = contentEntry.getDescription();
                        // read contentEntry.author
                        contentEntryAuthor = contentEntry.getAuthor();
                        // read contentEntry.publisher
                        contentEntryPublisher = contentEntry.getPublisher();
                        // read contentEntry.publik
                        contentEntryPublik = contentEntry.getPublik();
                        // read contentEntry.block
                        contentEntryBlock = contentEntry.getBlock();
                        // read contentEntry.leaf
                        contentEntryLeaf = contentEntry.getLeaf();
                        // read contentEntry.title
                        contentEntryTitle = contentEntry.getTitle();
                    }
                if((dirtyFlags & 0x800008000L) != 0) {
                    if(contentEntryLeaf) {
                            dirtyFlags |= 0x2000000000L;
                    }
                    else {
                            dirtyFlags |= 0x1000000000L;
                    }
                }


                    if (contentEntryLanguage != null) {
                        // read contentEntry.language.name
                        contentEntryLanguageName = contentEntryLanguage.getName();
                    }
                    // read contentEntry.block == null
                    contentEntryBlockJavaLangObjectNull = (contentEntryBlock) == (null);
                    // read contentEntry.leaf ? View.VISIBLE : View.GONE
                    contentEntryLeafViewVISIBLEViewGONE = ((contentEntryLeaf) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                if((dirtyFlags & 0x800008000L) != 0) {
                    if(contentEntryBlockJavaLangObjectNull) {
                            dirtyFlags |= 0x200000000000L;
                    }
                    else {
                            dirtyFlags |= 0x100000000000L;
                    }
                }


                    // read contentEntry.block == null ? View.GONE : View.VISIBLE
                    contentEntryBlockJavaLangObjectNullViewGONEViewVISIBLE = ((contentEntryBlockJavaLangObjectNull) ? (android.view.View.GONE) : (android.view.View.VISIBLE));
            }

                if (contentEntry != null) {
                    // read contentEntry.licenseType
                    contentEntryLicenseType = contentEntry.getLicenseType();
                }
        }
        if ((dirtyFlags & 0x800010000L) != 0) {

            if((dirtyFlags & 0x800010000L) != 0) {
                if(showUpdateContentButton) {
                        dirtyFlags |= 0x2000000000000L;
                }
                else {
                        dirtyFlags |= 0x1000000000000L;
                }
            }


                // read showUpdateContentButton ? View.VISIBLE : View.GONE
                showUpdateContentButtonViewVISIBLEViewGONE = ((showUpdateContentButton) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x800020000L) != 0) {
        }
        if ((dirtyFlags & 0x810040000L) != 0) {
        }
        if ((dirtyFlags & 0x800100000L) != 0) {
        }
        if ((dirtyFlags & 0x800200000L) != 0) {
        }
        if ((dirtyFlags & 0x801000000L) != 0) {
        }
        if ((dirtyFlags & 0x802000000L) != 0) {
        }
        if ((dirtyFlags & 0x804000000L) != 0) {

            if((dirtyFlags & 0x804000000L) != 0) {
                if(showVideoPreview) {
                        dirtyFlags |= 0x8000000000L;
                }
                else {
                        dirtyFlags |= 0x4000000000L;
                }
            }


                // read showVideoPreview ? View.VISIBLE : View.GONE
                showVideoPreviewViewVISIBLEViewGONE = ((showVideoPreview) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x808000000L) != 0) {
        }
        if ((dirtyFlags & 0x820000000L) != 0) {
        }
        if ((dirtyFlags & 0x840000000L) != 0) {



                if (contentEntryPicture != null) {
                    // read contentEntryPicture.cepUri
                    contentEntryPictureCepUri = contentEntryPicture.getCepUri();
                }
        }
        if ((dirtyFlags & 0x900000000L) != 0) {
        }
        if ((dirtyFlags & 0xa00000000L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(importErrorColor)
                androidxDatabindingViewDataBindingSafeUnboxImportErrorColor = androidx.databinding.ViewDataBinding.safeUnbox(importErrorColor);
        }
        if ((dirtyFlags & 0xc00000000L) != 0) {

            if((dirtyFlags & 0xc00000000L) != 0) {
                if(isImportError) {
                        dirtyFlags |= 0x80000000000L;
                }
                else {
                        dirtyFlags |= 0x40000000000L;
                }
            }


                // read isImportError ? @android:string/file_required_prompt : @android:string/file_selected
                isImportErrorSelectedFileInfoAndroidStringFileRequiredPromptSelectedFileInfoAndroidStringFileSelected = ((isImportError) ? (selectedFileInfo.getResources().getString(R.string.file_required_prompt)) : (selectedFileInfo.getResources().getString(R.string.file_selected)));
        }
        // batch finished
        if ((dirtyFlags & 0x800008000L) != 0) {
            // api target 1

            this.containerStorageOption.setVisibility(contentEntryLeafViewVISIBLEViewGONE);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryAuthorText, contentEntryAuthor);
            androidx.databinding.adapters.CompoundButtonBindingAdapter.setChecked(this.entryContentPublic, contentEntryPublik);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryDescriptionText, contentEntryDescription);
            this.entryEditCommonFields.getRoot().setVisibility(contentEntryBlockJavaLangObjectNullViewGONEViewVISIBLE);
            this.entryEditCommonFields.setBlock(contentEntryBlock);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryLanguageText, contentEntryLanguageName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryPublisherText, contentEntryPublisher);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.entryTitleText, contentEntryTitle);
            this.supportedFileList.setVisibility(contentEntryLeafViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x801000000L) != 0) {
            // api target 1

            this.containerStorageOption.setEnabled(fieldsEnabled);
            this.contentEntrySelectFile.setEnabled(fieldsEnabled);
            this.entryAuthor.setEnabled(fieldsEnabled);
            this.entryAuthorText.setEnabled(fieldsEnabled);
            this.entryContentCompress.setEnabled(fieldsEnabled);
            this.entryContentPublic.setEnabled(fieldsEnabled);
            this.entryDescription.setEnabled(fieldsEnabled);
            this.entryDescriptionText.setEnabled(fieldsEnabled);
            this.entryLanguage.setEnabled(fieldsEnabled);
            this.entryLanguageText.setEnabled(fieldsEnabled);
            this.entryLicence.setEnabled(fieldsEnabled);
            this.entryPublisher.setEnabled(fieldsEnabled);
            this.entryPublisherText.setEnabled(fieldsEnabled);
            this.entryTitle.setEnabled(fieldsEnabled);
            this.entryTitleText.setEnabled(fieldsEnabled);
            this.mboundView18.setEnabled(fieldsEnabled);
            this.storageOption.setEnabled(fieldsEnabled);
        }
        if ((dirtyFlags & 0x800000000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.getImageFilePath(this.contentEntryEditImageView, contentEntryEditImageViewimageUriAttrChanged);
            this.contentEntrySelectFile.setOnClickListener(mCallback106);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.entryAuthorText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, entryAuthorTextandroidTextAttrChanged);
            androidx.databinding.adapters.CompoundButtonBindingAdapter.setListeners(this.entryContentCompress, (android.widget.CompoundButton.OnCheckedChangeListener)null, entryContentCompressandroidCheckedAttrChanged);
            androidx.databinding.adapters.CompoundButtonBindingAdapter.setListeners(this.entryContentPublic, (android.widget.CompoundButton.OnCheckedChangeListener)null, entryContentPublicandroidCheckedAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.entryDescriptionText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, entryDescriptionTextandroidTextAttrChanged);
            setBindingInverseListener(this.entryEditCommonFields, this.mOldEventBlock1377011020, entryEditCommonFieldsblock);
            setBindingInverseListener(this.entryEditCommonFields, this.mOldEventStartDate723361325, entryEditCommonFieldsstartDate);
            setBindingInverseListener(this.entryEditCommonFields, this.mOldEventStartTime1333444217, entryEditCommonFieldsstartTime);
            setBindingInverseListener(this.entryEditCommonFields, this.mOldEventDeadlineDate650798707, entryEditCommonFieldsdeadlineDate);
            setBindingInverseListener(this.entryEditCommonFields, this.mOldEventDeadlineTime523172319, entryEditCommonFieldsdeadlineTime);
            setBindingInverseListener(this.entryEditCommonFields, this.mOldEventGracePeriodDate1042066077, entryEditCommonFieldsgracePeriodDate);
            setBindingInverseListener(this.entryEditCommonFields, this.mOldEventGracePeriodTime1806089499, entryEditCommonFieldsgracePeriodTime);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.entryLanguageText, true);
            this.entryLanguageText.setOnClickListener(mCallback107);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.entryLanguageText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, entryLanguageTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.entryPublisherText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, entryPublisherTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.entryTitleText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, entryTitleTextandroidTextAttrChanged);
            this.itemPresenterFieldRowPicturePhotoicon.setOnClickListener(mCallback105);
            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.mboundView18, mboundView18selectedMessageIdOptionAttrChanged);
            // api target 3
            if(getBuildSdkInt() >= 3) {

                this.entryLanguageText.setInputType(android.text.InputType.TYPE_NULL);
            }
        }
        if ((dirtyFlags & 0x800000040L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageViewLifecycleObserver(this.contentEntryEditImageView, imageViewLifecycleObserver);
        }
        if ((dirtyFlags & 0x840000000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageFilePath(this.contentEntryEditImageView, contentEntryPictureCepUri, (android.graphics.drawable.Drawable)null);
        }
        if ((dirtyFlags & 0x800010000L) != 0) {
            // api target 1

            this.contentEntrySelectFile.setVisibility(showUpdateContentButtonViewVISIBLEViewGONE);
            this.selectedFileInfo.setVisibility(showUpdateContentButtonViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x800000004L) != 0) {
            // api target 1

            this.entryContentCompress.setVisibility(metadataResultJavaLangObjectNullViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x800000800L) != 0) {
            // api target 1

            androidx.databinding.adapters.CompoundButtonBindingAdapter.setChecked(this.entryContentCompress, compressionEnabled);
        }
        if ((dirtyFlags & 0x802000000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setTimeZone(timeZone);
        }
        if ((dirtyFlags & 0x820000000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setStartDate(startDate);
        }
        if ((dirtyFlags & 0x800002000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setStartTime(startTime);
        }
        if ((dirtyFlags & 0x800000002L) != 0) {
            // api target 1

            this.entryEditCommonFields.setDeadlineDate(deadlineDate);
        }
        if ((dirtyFlags & 0x800020000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setDeadlineTime(deadlineTime);
        }
        if ((dirtyFlags & 0x800000010L) != 0) {
            // api target 1

            this.entryEditCommonFields.setGracePeriodDate(gracePeriodDate);
        }
        if ((dirtyFlags & 0x800000400L) != 0) {
            // api target 1

            this.entryEditCommonFields.setGracePeriodTime(gracePeriodTime);
        }
        if ((dirtyFlags & 0x800200000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setCaGracePeriodError(caGracePeriodError);
        }
        if ((dirtyFlags & 0x900000000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setCaDeadlineError(caDeadlineError);
        }
        if ((dirtyFlags & 0x800000020L) != 0) {
            // api target 1

            this.entryEditCommonFields.setCaStartDateError(caStartDateError);
        }
        if ((dirtyFlags & 0x800000100L) != 0) {
            // api target 1

            this.entryEditCommonFields.setCaMaxPointsError(caMaxPointsError);
        }
        if ((dirtyFlags & 0x800001000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setCompletionCriteriaOptions(completionCriteriaOptions);
        }
        if ((dirtyFlags & 0x800000080L) != 0) {
            // api target 1

            this.entryEditCommonFields.setGracePeriodVisibility(gracePeriodVisibility);
        }
        if ((dirtyFlags & 0x800100000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setMinScoreVisible(minScoreVisible);
        }
        if ((dirtyFlags & 0x808000000L) != 0) {
            // api target 1

            this.entryEditCommonFields.setCompletionCriteriaListener(completionCriteriaListener);
        }
        if ((dirtyFlags & 0x804000000L) != 0) {
            // api target 1

            this.entryEditVideoPreview.setVisibility(showVideoPreviewViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x800000008L) != 0) {
            // api target 1

            this.entryEditWebPreview.setVisibility(showWebPreviewViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x800000200L) != 0) {
            // api target 1

            this.entryTitle.setErrorEnabled(titleErrorEnabled);
        }
        if ((dirtyFlags & 0x880008000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.mboundView18, licenceOptions, contentEntryLicenseType);
        }
        if ((dirtyFlags & 0xa00000000L) != 0) {
            // api target 1

            this.selectedFileInfo.setTextColor(androidxDatabindingViewDataBindingSafeUnboxImportErrorColor);
        }
        if ((dirtyFlags & 0xc00000000L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.selectedFileInfo, isImportErrorSelectedFileInfoAndroidStringFileRequiredPromptSelectedFileInfoAndroidStringFileSelected);
        }
        if ((dirtyFlags & 0x810040000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.StorageOptionsAutocompleteTextViewBindingsKt.setStorageOptions(this.storageOption, storageOptions, selectedStorageIndex);
        }
        if ((dirtyFlags & 0x800000000L) != 0) {
            this.mOldEventBlock1377011020 = entryEditCommonFieldsblock;
            this.mOldEventStartDate723361325 = entryEditCommonFieldsstartDate;
            this.mOldEventStartTime1333444217 = entryEditCommonFieldsstartTime;
            this.mOldEventDeadlineDate650798707 = entryEditCommonFieldsdeadlineDate;
            this.mOldEventDeadlineTime523172319 = entryEditCommonFieldsdeadlineTime;
            this.mOldEventGracePeriodDate1042066077 = entryEditCommonFieldsgracePeriodDate;
            this.mOldEventGracePeriodTime1806089499 = entryEditCommonFieldsgracePeriodTime;
        }
        executeBindingsOn(entryEditCommonFields);
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // activityEventHandler != null
                boolean activityEventHandlerJavaLangObjectNull = false;
                // activityEventHandler
                com.ustadmobile.port.android.view.ContentEntryEdit2FragmentEventHandler activityEventHandler = mActivityEventHandler;



                activityEventHandlerJavaLangObjectNull = (activityEventHandler) != (null);
                if (activityEventHandlerJavaLangObjectNull) {


                    activityEventHandler.onClickUpdateContent();
                }
                break;
            }
            case 3: {
                // localize variables for thread safety
                // activityEventHandler != null
                boolean activityEventHandlerJavaLangObjectNull = false;
                // activityEventHandler
                com.ustadmobile.port.android.view.ContentEntryEdit2FragmentEventHandler activityEventHandler = mActivityEventHandler;



                activityEventHandlerJavaLangObjectNull = (activityEventHandler) != (null);
                if (activityEventHandlerJavaLangObjectNull) {


                    activityEventHandler.handleClickLanguage();
                }
                break;
            }
            case 1: {
                // localize variables for thread safety


                if ((contentEntryEditImageView) != (null)) {


                    contentEntryEditImageView.callOnClick();
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): entryEditCommonFields
        flag 1 (0x2L): deadlineDate
        flag 2 (0x3L): metadataResult
        flag 3 (0x4L): showWebPreview
        flag 4 (0x5L): gracePeriodDate
        flag 5 (0x6L): caStartDateError
        flag 6 (0x7L): imageViewLifecycleObserver
        flag 7 (0x8L): gracePeriodVisibility
        flag 8 (0x9L): caMaxPointsError
        flag 9 (0xaL): titleErrorEnabled
        flag 10 (0xbL): gracePeriodTime
        flag 11 (0xcL): compressionEnabled
        flag 12 (0xdL): completionCriteriaOptions
        flag 13 (0xeL): startTime
        flag 14 (0xfL): videoPreviewVisibility
        flag 15 (0x10L): contentEntry
        flag 16 (0x11L): showUpdateContentButton
        flag 17 (0x12L): deadlineTime
        flag 18 (0x13L): storageOptions
        flag 19 (0x14L): loading
        flag 20 (0x15L): minScoreVisible
        flag 21 (0x16L): caGracePeriodError
        flag 22 (0x17L): activityEventHandler
        flag 23 (0x18L): contentEntryPictureUri
        flag 24 (0x19L): fieldsEnabled
        flag 25 (0x1aL): timeZone
        flag 26 (0x1bL): showVideoPreview
        flag 27 (0x1cL): completionCriteriaListener
        flag 28 (0x1dL): selectedStorageIndex
        flag 29 (0x1eL): startDate
        flag 30 (0x1fL): contentEntryPicture
        flag 31 (0x20L): licenceOptions
        flag 32 (0x21L): caDeadlineError
        flag 33 (0x22L): importErrorColor
        flag 34 (0x23L): isImportError
        flag 35 (0x24L): null
        flag 36 (0x25L): contentEntry.leaf ? View.VISIBLE : View.GONE
        flag 37 (0x26L): contentEntry.leaf ? View.VISIBLE : View.GONE
        flag 38 (0x27L): showVideoPreview ? View.VISIBLE : View.GONE
        flag 39 (0x28L): showVideoPreview ? View.VISIBLE : View.GONE
        flag 40 (0x29L): showWebPreview ? View.VISIBLE : View.GONE
        flag 41 (0x2aL): showWebPreview ? View.VISIBLE : View.GONE
        flag 42 (0x2bL): isImportError ? @android:string/file_required_prompt : @android:string/file_selected
        flag 43 (0x2cL): isImportError ? @android:string/file_required_prompt : @android:string/file_selected
        flag 44 (0x2dL): contentEntry.block == null ? View.GONE : View.VISIBLE
        flag 45 (0x2eL): contentEntry.block == null ? View.GONE : View.VISIBLE
        flag 46 (0x2fL): metadataResult != null ? View.VISIBLE : View.GONE
        flag 47 (0x30L): metadataResult != null ? View.VISIBLE : View.GONE
        flag 48 (0x31L): showUpdateContentButton ? View.VISIBLE : View.GONE
        flag 49 (0x32L): showUpdateContentButton ? View.VISIBLE : View.GONE
    flag mapping end*/
    //end
}